# Uses of Class
javax.xml.crypto.dsig.XMLSignatureException

Packages that use XMLSignatureException
Package
Description
javax.xml.crypto.dsig
Classes for generating and validating XML digital signatures.

## Uses of XMLSignatureException in javax.xml.crypto.dsig

Methods in javax.xml.crypto.dsig that throw XMLSignatureException
Modifier and Type
Method
Description
`void`
XMLSignature.`sign(XMLSignContext signContext)`
Signs this `XMLSignature`.
`boolean`
Reference.`validate(XMLValidateContext validateContext)`
Validates this reference.
`boolean`
XMLSignature.SignatureValue.`validate(XMLValidateContext validateContext)`
Validates the signature value.
`boolean`
XMLSignature.`validate(XMLValidateContext validateContext)`
Validates the signature according to the core validation processing rules.